GuideLab API

Onboard Stripe Connect

Compatibility alias for the Stripe Standard OAuth start command. No account is created until the user selects or creates one on Stripe.

Deprecated

POST
/stripe-connect/onboard

Compatibility alias for the Stripe Standard OAuth start command. No account is created until the user selects or creates one on Stripe.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/stripe-connect/onboard" \  -H "Content-Type: application/json" \  -d '{}'
{  "url": "http://example.com",  "accountId": "string",  "flow": "oauth"}
Empty
Empty
Empty